<?php
/**
 *
 * Show Snow extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\ShowSnow\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration
{

    public function effectively_installed()
    {
        return !empty($this->config['version_show_snow']);
    }

    public function update_data()
    {
        return array(
            array('config.add', array('version_show_snow', '1.0.0')),
        );
    }

    public function revert_data()
    {
        return array(
            // Delete config
            array('config.remove', array('version_show_snow')),
        );
    }
}
?>