<?php
/**
 *
 * Show Snow extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

/**
 * DO NOT CHANGE
 */
if (!defined('IN_PHPBB'))
{
    exit;
}

if (empty($lang) || !is_array($lang))
{
    $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
    'SNOW'                  => 'Snow',
    'SNOW_TITLE_ON'         => 'Click to DISABLE SNOW',
    'SNOW_TITLE_OFF'        => 'Click to ACTIVATE SNOW',
    'SNOW_OFF'              => 'DISABLED',
    'SNOW_ON'               => 'ACTIVATED',

    // UCP
    'SNOW_TITLE_UCP'        => 'Manage the Snow effect',
    'SHOWSNOW_QUESTION'     => 'Show the effect of Snow on the WEB?',
    'SHOWSNOW_VERSION'      => 'Version',
    'POST_BY_AUTHOR'        => 'by',
));
?>